Fix gcc(1) warnings related to parentheses in Solaris KPI and ZFS codes.

diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/common/acl/acl_common.c freebsd-10.4/sys/cddl/contrib/opensolaris/common/acl/acl_common.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/common/acl/acl_common.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/common/acl/acl_common.c	2019-08-18 14:23:46.196007725 +0800
@@ -1697,7 +1697,7 @@
 	uint16_t type;
 	uint64_t cookie = 0;
 
-	while (cookie = walk(acep, cookie, aclcnt, &flags, &type, &mask)) {
+	while ((cookie = walk(acep, cookie, aclcnt, &flags, &type, &mask))) {
 		switch (flags & ACE_TYPE_FLAGS) {
 		case ACE_OWNER:
 		case ACE_GROUP|ACE_IDENTIFIER_GROUP:
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/bplist.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/bplist.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/bplist.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/bplist.c	2019-08-18 15:32:50.024726168 +0800
@@ -65,7 +65,7 @@
 	bplist_entry_t *bpe;
 
 	mutex_enter(&bpl->bpl_lock);
-	while (bpe = list_head(&bpl->bpl_list)) {
+	while ((bpe = list_head(&bpl->bpl_list))) {
 		bplist_iterate_last_removed = bpe;
 		list_remove(&bpl->bpl_list, bpe);
 		mutex_exit(&bpl->bpl_lock);
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dbuf.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dbuf.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dbuf.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dbuf.c	2019-08-18 14:41:15.252933676 +0800
@@ -3176,7 +3176,7 @@
 {
 	dbuf_dirty_record_t *dr;
 
-	while (dr = list_head(list)) {
+	while ((dr = list_head(list))) {
 		if (dr->dr_zio != NULL) {
 			/*
 			 * If we find an already initialized zio then we
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dmu_objset.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dmu_objset.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dmu_objset.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dmu_objset.c	2019-08-18 15:33:43.005781727 +0800
@@ -1024,7 +1024,7 @@
 {
 	dnode_t *dn;
 
-	while (dn = list_head(list)) {
+	while ((dn = list_head(list))) {
 		ASSERT(dn->dn_object != DMU_META_DNODE_OBJECT);
 		ASSERT(dn->dn_dbuf->db_data_pending);
 		/*
@@ -1170,7 +1170,7 @@
 	dmu_objset_sync_dnodes(&os->os_dirty_dnodes[txgoff], newlist, tx);
 
 	list = &DMU_META_DNODE(os)->dn_dirty_records[txgoff];
-	while (dr = list_head(list)) {
+	while ((dr = list_head(list))) {
 		ASSERT0(dr->dr_dbuf->db_level);
 		list_remove(list, dr);
 		if (dr->dr_zio)
@@ -1301,7 +1301,7 @@
 	avl_create(&cache.uqc_group_deltas, userquota_compare,
 	    sizeof (userquota_node_t), offsetof(userquota_node_t, uqn_node));
 
-	while (dn = list_head(list)) {
+	while ((dn = list_head(list))) {
 		int flags;
 		ASSERT(!DMU_OBJECT_IS_SPECIAL(dn->dn_object));
 		ASSERT(dn->dn_phys->dn_type == DMU_OT_NONE ||
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dnode_sync.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dnode_sync.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dnode_sync.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dnode_sync.c	2019-08-18 15:34:03.421717021 +0800
@@ -449,7 +449,7 @@
 {
 	dbuf_dirty_record_t *dr;
 
-	while (dr = list_head(list)) {
+	while ((dr = list_head(list))) {
 		dmu_buf_impl_t *db = dr->dr_dbuf;
 		uint64_t txg = dr->dr_txg;
 
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_deleg.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_deleg.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_deleg.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_deleg.c	2019-08-18 15:35:40.156834778 +0800
@@ -97,13 +97,13 @@
 	if ((error = dsl_deleg_access(ddname, ZFS_DELEG_PERM_ALLOW, cr)) != 0)
 		return (error);
 
-	while (whopair = nvlist_next_nvpair(nvp, whopair)) {
+	while ((whopair = nvlist_next_nvpair(nvp, whopair))) {
 		nvlist_t *perms;
 		nvpair_t *permpair = NULL;
 
 		VERIFY(nvpair_value_nvlist(whopair, &perms) == 0);
 
-		while (permpair = nvlist_next_nvpair(perms, permpair)) {
+		while ((permpair = nvlist_next_nvpair(perms, permpair))) {
 			const char *perm = nvpair_name(permpair);
 
 			if (strcmp(perm, ZFS_DELEG_PERM_ALLOW) == 0)
@@ -134,7 +134,7 @@
 	(void) snprintf(idstr, sizeof (idstr), "%lld",
 	    (longlong_t)crgetuid(cr));
 
-	while (whopair = nvlist_next_nvpair(nvp, whopair)) {
+	while ((whopair = nvlist_next_nvpair(nvp, whopair))) {
 		zfs_deleg_who_type_t type = nvpair_name(whopair)[0];
 
 		if (type != ZFS_DELEG_USER &&
@@ -171,7 +171,7 @@
 		    DMU_OT_DSL_PERMS, DMU_OT_NONE, 0, tx);
 	}
 
-	while (whopair = nvlist_next_nvpair(dda->dda_nvlist, whopair)) {
+	while ((whopair = nvlist_next_nvpair(dda->dda_nvlist, whopair))) {
 		const char *whokey = nvpair_name(whopair);
 		nvlist_t *perms;
 		nvpair_t *permpair = NULL;
@@ -184,7 +184,7 @@
 			    zapobj, whokey, tx);
 		}
 
-		while (permpair = nvlist_next_nvpair(perms, permpair)) {
+		while ((permpair = nvlist_next_nvpair(perms, permpair))) {
 			const char *perm = nvpair_name(permpair);
 			uint64_t n = 0;
 
@@ -214,7 +214,7 @@
 		return;
 	}
 
-	while (whopair = nvlist_next_nvpair(dda->dda_nvlist, whopair)) {
+	while ((whopair = nvlist_next_nvpair(dda->dda_nvlist, whopair))) {
 		const char *whokey = nvpair_name(whopair);
 		nvlist_t *perms;
 		nvpair_t *permpair = NULL;
@@ -234,7 +234,7 @@
 		if (zap_lookup(mos, zapobj, whokey, 8, 1, &jumpobj) != 0)
 			continue;
 
-		while (permpair = nvlist_next_nvpair(perms, permpair)) {
+		while ((permpair = nvlist_next_nvpair(perms, permpair))) {
 			const char *perm = nvpair_name(permpair);
 			uint64_t n = 0;
 
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_pool.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_pool.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_pool.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_pool.c	2019-08-18 15:34:27.823718245 +0800
@@ -682,7 +682,7 @@
 {
 	zilog_t *zilog;
 
-	while (zilog = txg_list_head(&dp->dp_dirty_zilogs, txg)) {
+	while ((zilog = txg_list_head(&dp->dp_dirty_zilogs, txg))) {
 		dsl_dataset_t *ds = dmu_objset_ds(zilog->zl_os);
 		/*
 		 * We don't remove the zilog from the dp_dirty_zilogs
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sa.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sa.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sa.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sa.c	2019-08-18 14:50:06.077901516 +0800
@@ -1126,16 +1126,16 @@
 	sa_free_attr_table(sa);
 
 	cookie = NULL;
-	while (layout = avl_destroy_nodes(&sa->sa_layout_hash_tree, &cookie)) {
+	while ((layout = avl_destroy_nodes(&sa->sa_layout_hash_tree, &cookie))) {
 		sa_idx_tab_t *tab;
-		while (tab = list_head(&layout->lot_idx_tab)) {
+		while ((tab = list_head(&layout->lot_idx_tab))) {
 			ASSERT(refcount_count(&tab->sa_refcount));
 			sa_idx_tab_rele(os, tab);
 		}
 	}
 
 	cookie = NULL;
-	while (layout = avl_destroy_nodes(&sa->sa_layout_num_tree, &cookie)) {
+	while ((layout = avl_destroy_nodes(&sa->sa_layout_num_tree, &cookie))) {
 		kmem_free(layout->lot_attrs,
 		    sizeof (sa_attr_type_t) * layout->lot_attr_count);
 		kmem_free(layout, sizeof (sa_lot_t));
@@ -1415,8 +1415,8 @@
 	dmu_buf_t *db;
 	int error;
 
-	if (error = dmu_bonus_hold(objset, objid, NULL, &db))
-		return (error);
+	error = dmu_bonus_hold(objset, objid, NULL, &db);
+	if(error) return (error);
 
 	return (sa_handle_get_from_db(objset, db, userp, hdl_type,
 	    handlepp));
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/spa.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/spa.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/spa.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/spa.c	2019-08-18 14:51:54.907902881 +0800
@@ -363,8 +363,8 @@
 
 				dp = spa_get_dsl(spa);
 				dsl_pool_config_enter(dp, FTAG);
-				if (err = dsl_dataset_hold_obj(dp,
-				    za.za_first_integer, FTAG, &ds)) {
+				if ((err = dsl_dataset_hold_obj(dp,
+				    za.za_first_integer, FTAG, &ds))) {
 					dsl_pool_config_exit(dp, FTAG);
 					break;
 				}
@@ -519,8 +519,8 @@
 					break;
 				}
 
-				if (error = dmu_objset_hold(strval, FTAG, &os))
-					break;
+				error = dmu_objset_hold(strval, FTAG, &os);
+				if(error) break;
 
 				/*
 				 * Must be ZPL, and its property settings
@@ -2815,9 +2815,11 @@
 	 * to start pushing transactions.
 	 */
 	if (state != SPA_LOAD_TRYIMPORT) {
-		if (error = spa_load_verify(spa))
+		error = spa_load_verify(spa);
+		if(error) {
 			return (spa_vdev_err(rvd, VDEV_AUX_CORRUPT_DATA,
 			    error));
+		}
 	}
 
 	if (spa_writeable(spa) && (state == SPA_LOAD_RECOVER ||
@@ -6776,7 +6778,7 @@
 		ddt_sync(spa, txg);
 		dsl_scan_sync(dp, tx);
 
-		while (vd = txg_list_remove(&spa->spa_vdev_txg_list, txg))
+		while ((vd = txg_list_remove(&spa->spa_vdev_txg_list, txg)))
 			vdev_sync(vd, txg);
 
 		if (pass == 1) {
@@ -6894,7 +6896,7 @@
 	/*
 	 * Update usable space statistics.
 	 */
-	while (vd = txg_list_remove(&spa->spa_vdev_txg_list, TXG_CLEAN(txg)))
+	while ((vd = txg_list_remove(&spa->spa_vdev_txg_list, TXG_CLEAN(txg))))
 		vdev_sync_done(vd, txg);
 
 	spa_update_dspace(spa);
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev.c	2019-08-18 14:52:27.447905740 +0800
@@ -2361,7 +2361,7 @@
 
 	ASSERT(!vd->vdev_ishole);
 
-	while (msp = txg_list_remove(&vd->vdev_ms_list, TXG_CLEAN(txg)))
+	while ((msp = txg_list_remove(&vd->vdev_ms_list, TXG_CLEAN(txg))))
 		metaslab_sync_done(msp, txg);
 
 	if (reassess)
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev_geom.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev_geom.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev_geom.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev_geom.c	2019-08-18 15:31:17.716731864 +0800
@@ -810,8 +810,8 @@
 	error = 0;
 
 	if (vd->vdev_spa->spa_splitting_newspa ||
-	    (vd->vdev_prevstate == VDEV_STATE_UNKNOWN &&
-	     vd->vdev_spa->spa_load_state == SPA_LOAD_NONE ||
+	    ((vd->vdev_prevstate == VDEV_STATE_UNKNOWN &&
+	     vd->vdev_spa->spa_load_state == SPA_LOAD_NONE) ||
 	     vd->vdev_spa->spa_load_state == SPA_LOAD_CREATE)) {
 		/*
 		 * We are dealing with a vdev that hasn't been previously
Only in freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs: vdev_geom.c.rej
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zap_micro.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zap_micro.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zap_micro.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zap_micro.c	2019-08-18 14:52:44.208885222 +0800
@@ -363,7 +363,7 @@
 	mzap_ent_t *mze;
 	void *avlcookie = NULL;
 
-	while (mze = avl_destroy_nodes(&zap->zap_m.zap_avl, &avlcookie))
+	while ((mze = avl_destroy_nodes(&zap->zap_m.zap_avl, &avlcookie)))
 		kmem_free(mze, sizeof (mzap_ent_t));
 	avl_destroy(&zap->zap_m.zap_avl);
 }
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_acl.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_acl.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_acl.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_acl.c	2019-08-18 14:57:36.149950362 +0800
@@ -491,7 +491,7 @@
 {
 	zfs_acl_node_t *aclnode;
 
-	while (aclnode = list_head(&aclp->z_acl)) {
+	while ((aclnode = list_head(&aclp->z_acl))) {
 		list_remove(&aclp->z_acl, aclnode);
 		zfs_acl_node_free(aclnode);
 	}
@@ -729,8 +729,8 @@
 	size_t ace_size;
 	uint16_t entry_type;
 
-	while (zacep = zfs_acl_next_ace(aclp, zacep,
-	    &who, &access_mask, &iflags, &type)) {
+	while ((zacep = zfs_acl_next_ace(aclp, zacep,
+	    &who, &access_mask, &iflags, &type))) {
 
 		switch (type) {
 		case ACE_ACCESS_ALLOWED_OBJECT_ACE_TYPE:
@@ -820,8 +820,8 @@
 	oldaclp = kmem_alloc(sizeof (zfs_oldace_t) * aclp->z_acl_count,
 	    KM_SLEEP);
 	i = 0;
-	while (cookie = zfs_acl_next_ace(aclp, cookie, &who,
-	    &access_mask, &iflags, &type)) {
+	while ((cookie = zfs_acl_next_ace(aclp, cookie, &who,
+	    &access_mask, &iflags, &type))) {
 		oldaclp[i].z_flags = iflags;
 		oldaclp[i].z_type = type;
 		oldaclp[i].z_fuid = who;
@@ -901,8 +901,8 @@
 
 	mode = (fmode & (S_IFMT | S_ISUID | S_ISGID | S_ISVTX));
 
-	while (acep = zfs_acl_next_ace(aclp, acep, &who,
-	    &access_mask, &iflags, &type)) {
+	while ((acep = zfs_acl_next_ace(aclp, acep, &who,
+	    &access_mask, &iflags, &type))) {
 
 		if (!zfs_acl_valid_ace_type(type, iflags))
 			continue;
@@ -1359,8 +1359,8 @@
 		new_bytes += abstract_size;
 	}
 
-	while (acep = zfs_acl_next_ace(aclp, acep, &who, &access_mask,
-	    &iflags, &type)) {
+	while ((acep = zfs_acl_next_ace(aclp, acep, &who, &access_mask,
+	    &iflags, &type))) {
 		uint16_t inherit_flags;
 
 		entry_type = (iflags & ACE_TYPE_FLAGS);
@@ -1511,8 +1511,8 @@
 	aclp = zfs_acl_alloc(paclp->z_version);
 	if (zfsvfs->z_acl_inherit == ZFS_ACL_DISCARD || vtype == VLNK)
 		return (aclp);
-	while (pacep = zfs_acl_next_ace(paclp, pacep, &who,
-	    &access_mask, &iflags, &type)) {
+	while ((pacep = zfs_acl_next_ace(paclp, pacep, &who,
+	    &access_mask, &iflags, &type))) {
 
 		/*
 		 * don't inherit bogus ACEs
@@ -1768,8 +1768,8 @@
 	if (mask == 0)
 		return (SET_ERROR(ENOSYS));
 
-	if (error = zfs_zaccess(zp, ACE_READ_ACL, 0, skipaclchk, cr))
-		return (error);
+	error = zfs_zaccess(zp, ACE_READ_ACL, 0, skipaclchk, cr);
+	if(error) return (error);
 
 	mutex_enter(&zp->z_acl_lock);
 
@@ -1789,8 +1789,8 @@
 		uint32_t access_mask;
 		uint16_t type, iflags;
 
-		while (zacep = zfs_acl_next_ace(aclp, zacep,
-		    &who, &access_mask, &iflags, &type)) {
+		while ((zacep = zfs_acl_next_ace(aclp, zacep,
+		    &who, &access_mask, &iflags, &type))) {
 			switch (type) {
 			case ACE_ACCESS_ALLOWED_OBJECT_ACE_TYPE:
 			case ACE_ACCESS_DENIED_OBJECT_ACE_TYPE:
@@ -1929,8 +1929,8 @@
 	if (zp->z_pflags & ZFS_IMMUTABLE)
 		return (SET_ERROR(EPERM));
 
-	if (error = zfs_zaccess(zp, ACE_WRITE_ACL, 0, skipaclchk, cr))
-		return (error);
+	error = zfs_zaccess(zp, ACE_WRITE_ACL, 0, skipaclchk, cr);
+	if(error) return (error);
 
 	error = zfs_vsec_2_aclp(zfsvfs, ZTOV(zp)->v_type, vsecp, cr, &fuidp,
 	    &aclp);
@@ -2115,8 +2115,8 @@
 
 	ASSERT(zp->z_acl_cached);
 
-	while (acep = zfs_acl_next_ace(aclp, acep, &who, &access_mask,
-	    &iflags, &type)) {
+	while ((acep = zfs_acl_next_ace(aclp, acep, &who, &access_mask,
+	    &iflags, &type))) {
 		uint32_t mask_matched;
 
 		if (!zfs_acl_valid_ace_type(type, iflags))
@@ -2680,8 +2680,8 @@
 	 * to another.
 	 */
 	if (ZTOV(szp)->v_type == VDIR && ZTOV(sdzp) != ZTOV(tdzp)) {
-		if (error = zfs_zaccess(szp, ACE_WRITE_DATA, 0, B_FALSE, cr))
-			return (error);
+		error = zfs_zaccess(szp, ACE_WRITE_DATA, 0, B_FALSE, cr);
+		if(error) return (error);
 	}
 
 	/*
@@ -2690,15 +2690,15 @@
 	 * If that succeeds then check for add_file/add_subdir permissions
 	 */
 
-	if (error = zfs_zaccess_delete(sdzp, szp, cr))
-		return (error);
+	error = zfs_zaccess_delete(sdzp, szp, cr);
+	if(error) return (error);
 
 	/*
 	 * If we have a tzp, see if we can delete it?
 	 */
 	if (tzp) {
-		if (error = zfs_zaccess_delete(tdzp, tzp, cr))
-			return (error);
+		error = zfs_zaccess_delete(tdzp, tzp, cr);
+		if(error) return (error);
 	}
 
 	/*
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_dir.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_dir.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_dir.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_dir.c	2019-08-18 14:59:59.606922416 +0800
@@ -120,9 +120,9 @@
 	/*
 	 * Verify that we are not trying to lock '.', '..', or '.zfs'
 	 */
-	if (name[0] == '.' &&
-	    (name[1] == '\0' || (name[1] == '.' && name[2] == '\0')) ||
-	    zfs_has_ctldir(dzp) && strcmp(name, ZFS_CTLDIR_NAME) == 0)
+	if ((name[0] == '.' &&
+	    (name[1] == '\0' || (name[1] == '.' && name[2] == '\0'))) ||
+	    (zfs_has_ctldir(dzp) && strcmp(name, ZFS_CTLDIR_NAME) == 0))
 		return (SET_ERROR(EEXIST));
 
 	/*
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_fuid.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_fuid.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_fuid.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_fuid.c	2019-08-18 14:53:11.606886703 +0800
@@ -168,12 +168,12 @@
 	void *cookie;
 
 	cookie = NULL;
-	while (domnode = avl_destroy_nodes(domain_tree, &cookie))
+	while ((domnode = avl_destroy_nodes(domain_tree, &cookie)))
 		ksiddomain_rele(domnode->f_ksid);
 
 	avl_destroy(domain_tree);
 	cookie = NULL;
-	while (domnode = avl_destroy_nodes(idx_tree, &cookie))
+	while ((domnode = avl_destroy_nodes(idx_tree, &cookie)))
 		kmem_free(domnode, sizeof (fuid_domain_t));
 	avl_destroy(idx_tree);
 }
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c	2019-08-18 15:04:39.910986166 +0800
@@ -1523,13 +1523,13 @@
 	nvlist_t *rootprops = NULL;
 	nvlist_t *zplprops = NULL;
 
-	if (error = get_nvlist(zc->zc_nvlist_conf, zc->zc_nvlist_conf_size,
-	    zc->zc_iflags, &config))
-		return (error);
+	error = get_nvlist(zc->zc_nvlist_conf, zc->zc_nvlist_conf_size,
+	    zc->zc_iflags, &config);
+	if(error) return (error);
 
-	if (zc->zc_nvlist_src_size != 0 && (error =
+	if (zc->zc_nvlist_src_size != 0 && ((error =
 	    get_nvlist(zc->zc_nvlist_src, zc->zc_nvlist_src_size,
-	    zc->zc_iflags, &props))) {
+	    zc->zc_iflags, &props)))) {
 		nvlist_free(config);
 		return (error);
 	}
@@ -2044,8 +2044,8 @@
 	if ((error = spa_open(zc->zc_name, &spa, FTAG)) != 0)
 		return (error);
 
-	if (error = get_nvlist(zc->zc_nvlist_conf, zc->zc_nvlist_conf_size,
-	    zc->zc_iflags, &config)) {
+	if ((error = get_nvlist(zc->zc_nvlist_conf, zc->zc_nvlist_conf_size,
+	    zc->zc_iflags, &config))) {
 		spa_close(spa, FTAG);
 		return (error);
 	}
@@ -2229,8 +2229,8 @@
 	int err;
 
 	/* XXX reading without owning */
-	if (err = dmu_objset_hold(zc->zc_name, FTAG, &os))
-		return (err);
+	err = dmu_objset_hold(zc->zc_name, FTAG, &os);
+	if(err) return (err);
 
 	dmu_objset_fast_stat(os, &zc->zc_objset_stats);
 
@@ -2297,7 +2297,8 @@
 	size_t orig_len = strlen(zc->zc_name);
 
 top:
-	if (error = dmu_objset_hold(zc->zc_name, FTAG, &os)) {
+	error = dmu_objset_hold(zc->zc_name, FTAG, &os);
+	if(error) {
 		if (error == ENOENT)
 			error = SET_ERROR(ESRCH);
 		return (error);
@@ -2707,9 +2708,9 @@
 		    nvpair_type(pair) != DATA_TYPE_STRING)
 			return (SET_ERROR(EINVAL));
 
-		if (error = zfs_secpolicy_write_perms(fsname,
-		    ZFS_DELEG_PERM_USERPROP, CRED()))
-			return (error);
+		error = zfs_secpolicy_write_perms(fsname,
+		    ZFS_DELEG_PERM_USERPROP, CRED());
+		if(error) return (error);
 
 		if (strlen(propname) >= ZAP_MAXNAMELEN)
 			return (SET_ERROR(ENAMETOOLONG));
@@ -2888,9 +2889,9 @@
 	int error;
 	nvpair_t *pair;
 
-	if (error = get_nvlist(zc->zc_nvlist_src, zc->zc_nvlist_src_size,
-	    zc->zc_iflags, &props))
-		return (error);
+	error = get_nvlist(zc->zc_nvlist_src, zc->zc_nvlist_src_size,
+	    zc->zc_iflags, &props);
+	if(error) return (error);
 
 	/*
 	 * If the only property is the configfile, then just do a spa_lookup()
@@ -3886,10 +3887,8 @@
 
 	if (prop == ZPROP_INVAL) {
 		if (zfs_prop_user(propname)) {
-			if (err = zfs_secpolicy_write_perms(dsname,
-			    ZFS_DELEG_PERM_USERPROP, cr))
-				return (err);
-			return (0);
+			return zfs_secpolicy_write_perms(dsname,
+				ZFS_DELEG_PERM_USERPROP, cr);
 		}
 
 		if (!issnap && zfs_prop_userquota(propname)) {
@@ -3910,8 +3909,8 @@
 				return (SET_ERROR(EINVAL));
 			}
 
-			if (err = zfs_secpolicy_write_perms(dsname, perm, cr))
-				return (err);
+			err = zfs_secpolicy_write_perms(dsname, perm, cr);
+			if(err) return (err);
 			return (0);
 		}
 
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vfsops.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vfsops.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vfsops.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vfsops.c	2019-08-18 15:07:28.487886394 +0800
@@ -497,7 +497,7 @@
 		nbmand = B_FALSE;
 	} else if (vfs_optionisset(vfsp, MNTOPT_NBMAND, NULL)) {
 		nbmand = B_TRUE;
-	} else if (error = dsl_prop_get_int_ds(ds, "nbmand", &nbmand) != 0) {
+	} else if ((error = dsl_prop_get_int_ds(ds, "nbmand", &nbmand) != 0)) {
 		dsl_pool_config_exit(dmu_objset_pool(os), FTAG);
 		return (error);
 	}
@@ -1191,9 +1191,9 @@
 	ASSERT(vfs_devismounted(mount_dev) == 0);
 #endif
 
-	if (error = dsl_prop_get_integer(osname, "recordsize", &recordsize,
-	    NULL))
-		goto out;
+	error = dsl_prop_get_integer(osname, "recordsize", &recordsize, NULL);
+	if(error) goto out;
+
 	zfsvfs->z_vfs->vfs_bsize = SPA_MINBLOCKSIZE;
 	zfsvfs->z_vfs->mnt_stat.f_iosize = recordsize;
 
@@ -1216,7 +1216,7 @@
 	ASSERT((fsid_guid & ~((1ULL<<56)-1)) == 0);
 	vfsp->vfs_fsid.val[0] = fsid_guid;
 	vfsp->vfs_fsid.val[1] = ((fsid_guid>>32) << 8) |
-	    vfsp->mnt_vfc->vfc_typenum & 0xFF;
+	    (vfsp->mnt_vfc->vfc_typenum & 0xFF);
 
 	/*
 	 * Set features for file system.
@@ -1237,8 +1237,8 @@
 
 		atime_changed_cb(zfsvfs, B_FALSE);
 		readonly_changed_cb(zfsvfs, B_TRUE);
-		if (error = dsl_prop_get_integer(osname, "xattr", &pval, NULL))
-			goto out;
+		error = dsl_prop_get_integer(osname, "xattr", &pval, NULL);
+		if(error) goto out;
 		xattr_changed_cb(zfsvfs, pval);
 		zfsvfs->z_issnap = B_TRUE;
 		zfsvfs->z_os->os_sync = ZFS_SYNC_DISABLED;
@@ -2172,7 +2172,7 @@
 	gen_mask = -1ULL >> (64 - 8 * i);
 
 	dprintf("getting %llu [%u mask %llx]\n", object, fid_gen, gen_mask);
-	if (err = zfs_zget(zfsvfs, object, &zp)) {
+	if ((err = zfs_zget(zfsvfs, object, &zp))) {
 		ZFS_EXIT(zfsvfs);
 		return (err);
 	}
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vnops.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vnops.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vnops.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vnops.c	2019-08-18 15:30:13.265729394 +0800
@@ -648,7 +648,7 @@
 		vm_page_t pp;
 		uint64_t bytes = MIN(PAGESIZE - off, len);
 
-		if (pp = page_hold(vp, start)) {
+		if ((pp = page_hold(vp, start))) {
 			struct sf_buf *sf;
 			caddr_t va;
 
@@ -735,8 +735,9 @@
 	 * Check for mandatory locks
 	 */
 	if (MANDMODE(zp->z_mode)) {
-		if (error = chklock(vp, FREAD,
-		    uio->uio_loffset, uio->uio_resid, uio->uio_fmode, ct)) {
+		error = chklock(vp, FREAD, uio->uio_loffset,
+			uio->uio_resid, uio->uio_fmode, ct);
+		if (error) {
 			ZFS_EXIT(zfsvfs);
 			return (error);
 		}
@@ -1573,8 +1574,8 @@
 			ZFS_EXIT(zfsvfs);
 			return (SET_ERROR(EINVAL));
 		}
-
-		if (error = zfs_get_xattrdir(VTOZ(dvp), vpp, cr, flags)) {
+		error = zfs_get_xattrdir(VTOZ(dvp), vpp, cr, flags);
+		if (error) {
 			ZFS_EXIT(zfsvfs);
 			return (error);
 		}
@@ -1582,8 +1583,8 @@
 		/*
 		 * Do we have permission to get into attribute directory?
 		 */
-		if (error = zfs_zaccess(VTOZ(*vpp), ACE_EXECUTE, 0,
-		    B_FALSE, cr)) {
+		error = zfs_zaccess(VTOZ(*vpp), ACE_EXECUTE, 0, B_FALSE, cr);
+		if (error) {
 			vrele(*vpp);
 			*vpp = NULL;
 		}
@@ -1595,7 +1596,8 @@
 	/*
 	 * Check accessibility of directory.
 	 */
-	if (error = zfs_zaccess(zdp, ACE_EXECUTE, 0, B_FALSE, cr)) {
+	error = zfs_zaccess(zdp, ACE_EXECUTE, 0, B_FALSE, cr);
+	if (error) {
 		ZFS_EXIT(zfsvfs);
 		return (error);
 	}
@@ -1828,9 +1830,8 @@
 	 * Create a new file object and update the directory
 	 * to reference it.
 	 */
-	if (error = zfs_zaccess(dzp, ACE_ADD_FILE, 0, B_FALSE, cr)) {
-		goto out;
-	}
+	error = zfs_zaccess(dzp, ACE_ADD_FILE, 0, B_FALSE, cr);
+	if(error) goto out;
 
 	/*
 	 * We only support the creation of regular files in
@@ -1945,9 +1946,8 @@
 	xattr_obj = 0;
 	xzp = NULL;
 
-	if (error = zfs_zaccess_delete(dzp, zp, cr)) {
-		goto out;
-	}
+	error = zfs_zaccess_delete(dzp, zp, cr);
+	if(error) goto out;
 
 	/*
 	 * Need to use rmdir for removing directories.
@@ -2123,14 +2123,16 @@
 	 */
 	*vpp = NULL;
 
-	if (error = zfs_dirent_lookup(dzp, dirname, &zp, ZNEW)) {
+	error = zfs_dirent_lookup(dzp, dirname, &zp, ZNEW);
+	if (error) {
 		zfs_acl_ids_free(&acl_ids);
 		ZFS_EXIT(zfsvfs);
 		return (error);
 	}
 	ASSERT3P(zp, ==, NULL);
 
-	if (error = zfs_zaccess(dzp, ACE_ADD_SUBDIRECTORY, 0, B_FALSE, cr)) {
+	error = zfs_zaccess(dzp, ACE_ADD_SUBDIRECTORY, 0, B_FALSE, cr);
+	if (error) {
 		zfs_acl_ids_free(&acl_ids);
 		ZFS_EXIT(zfsvfs);
 		return (error);
@@ -2234,10 +2236,8 @@
 	ZFS_VERIFY_ZP(zp);
 	zilog = zfsvfs->z_log;
 
-
-	if (error = zfs_zaccess_delete(dzp, zp, cr)) {
-		goto out;
-	}
+	error = zfs_zaccess_delete(dzp, zp, cr);
+	if(error) goto out;
 
 	if (vp->v_type != VDIR) {
 		error = SET_ERROR(ENOTDIR);
@@ -2454,8 +2454,8 @@
 			/*
 			 * Grab next entry.
 			 */
-			if (error = zap_cursor_retrieve(&zc, &zap)) {
-				if ((*eofp = (error == ENOENT)) != 0)
+			if ((error = zap_cursor_retrieve(&zc, &zap))) {
+				if ((*eofp = (error == ENOENT)))
 					break;
 				else
 					goto update;
@@ -2578,10 +2578,11 @@
 		*ncookies -= ncooks;
 
 	if (uio->uio_segflg == UIO_SYSSPACE && uio->uio_iovcnt == 1) {
-		iovp->iov_base += outcount;
+		//iovp->iov_base += outcount;
+		iovp->iov_base = (char *)iovp->iov_base + outcount;
 		iovp->iov_len -= outcount;
 		uio->uio_resid -= outcount;
-	} else if (error = uiomove(outbuf, (long)outcount, UIO_READ, uio)) {
+	} else if ((error = uiomove(outbuf, (long)outcount, UIO_READ, uio))) {
 		/*
 		 * Reset the pointer.
 		 */
@@ -2685,8 +2686,9 @@
 	 */
 	if (!(zp->z_pflags & ZFS_ACL_TRIVIAL) &&
 	    (vap->va_uid != crgetuid(cr))) {
-		if (error = zfs_zaccess(zp, ACE_READ_ATTRIBUTES, 0,
-		    skipaclchk, cr)) {
+		error = zfs_zaccess(zp, ACE_READ_ATTRIBUTES, 0, skipaclchk,
+			cr);
+		if (error) {
 			ZFS_EXIT(zfsvfs);
 			return (error);
 		}
@@ -3250,8 +3252,8 @@
 			goto out;
 		}
 
-		if (err = zfs_acl_chmod_setattr(zp, &aclp, new_mode))
-			goto out;
+		err = zfs_acl_chmod_setattr(zp, &aclp, new_mode);
+		if(err) goto out;
 
 		if (!zp->z_is_sa && ((acl_obj = zfs_external_acl(zp)) != 0)) {
 			/*
@@ -3833,8 +3835,8 @@
 	 * Note that if target and source are the same, this can be
 	 * done in a single check.
 	 */
-	if (error = zfs_zaccess_rename(sdzp, szp, tdzp, tzp, cr))
-		goto unlockout;
+	error = zfs_zaccess_rename(sdzp, szp, tdzp, tzp, cr);
+	if(error) goto unlockout;
 
 	if ((*svpp)->v_type == VDIR) {
 		/*
@@ -3851,8 +3853,8 @@
 		 * Check to make sure rename is valid.
 		 * Can't do a move like this: /usr/a/b to /usr/a/b/c/d
 		 */
-		if (error = zfs_rename_check(szp, sdzp, tdzp))
-			goto unlockout;
+		error = zfs_rename_check(szp, sdzp, tdzp);
+		if(error) goto unlockout;
 	}
 
 	/*
@@ -4043,7 +4045,8 @@
 		return (error);
 	}
 
-	if (error = zfs_zaccess(dzp, ACE_ADD_FILE, 0, B_FALSE, cr)) {
+	error = zfs_zaccess(dzp, ACE_ADD_FILE, 0, B_FALSE, cr);
+	if (error) {
 		zfs_acl_ids_free(&acl_ids);
 		ZFS_EXIT(zfsvfs);
 		return (error);
@@ -4244,7 +4247,8 @@
 		return (SET_ERROR(EPERM));
 	}
 
-	if (error = zfs_zaccess(dzp, ACE_ADD_FILE, 0, B_FALSE, cr)) {
+	error = zfs_zaccess(dzp, ACE_ADD_FILE, 0, B_FALSE, cr);
+	if (error) {
 		ZFS_EXIT(zfsvfs);
 		return (error);
 	}
@@ -5882,8 +5886,8 @@
 		return (EINVAL);
 
 	vsecattr.vsa_mask = VSA_ACE | VSA_ACECNT;
-	if (error = zfs_getsecattr(ap->a_vp, &vsecattr, 0, ap->a_cred, NULL))
-		return (error);
+	error = zfs_getsecattr(ap->a_vp, &vsecattr, 0, ap->a_cred, NULL);
+	if(error) return (error);
 
 	error = acl_from_aces(ap->a_aclp, vsecattr.vsa_aclentp, vsecattr.vsa_aclcnt);
 	if (vsecattr.vsa_aclentp != NULL)
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_znode.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_znode.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_znode.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_znode.c	2019-08-18 14:54:12.627952653 +0800
@@ -1746,8 +1746,8 @@
 
 	if (MANDLOCK(vp, (mode_t)mode)) {
 		uint64_t length = (len ? len : zp->z_size - off);
-		if (error = chklock(vp, FWRITE, off, length, flag, NULL))
-			return (error);
+		error = chklock(vp, FWRITE, off, length, flag, NULL);
+		if(error) return (error);
 	}
 
 	if (len == 0) {
@@ -1958,8 +1958,8 @@
 	dmu_object_info_from_db(*db, &doi);
 	if ((doi.doi_bonus_type != DMU_OT_SA &&
 	    doi.doi_bonus_type != DMU_OT_ZNODE) ||
-	    doi.doi_bonus_type == DMU_OT_ZNODE &&
-	    doi.doi_bonus_size < sizeof (znode_phys_t)) {
+	    (doi.doi_bonus_type == DMU_OT_ZNODE &&
+	    doi.doi_bonus_size < sizeof (znode_phys_t))) {
 		sa_buf_rele(*db, tag);
 		return (SET_ERROR(ENOTSUP));
 	}
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zil.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zil.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zil.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zil.c	2019-08-18 14:54:46.651880631 +0800
@@ -1545,7 +1545,7 @@
 	}
 
 	DTRACE_PROBE1(zil__cw1, zilog_t *, zilog);
-	while (itx = list_head(&zilog->zl_itx_commit_list)) {
+	while ((itx = list_head(&zilog->zl_itx_commit_list))) {
 		txg = itx->itx_lr.lrc_txg;
 		ASSERT3U(txg, !=, 0);
 
diff -ru --exclude-from freebsd-src-diff-exclude-names /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zvol.c freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zvol.c
--- /var/archive3/public/freebsd-releng-10.4-src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zvol.c	2017-09-29 08:19:56.000000000 +0800
+++ freebsd-10.4/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zvol.c	2019-08-18 15:30:44.884730567 +0800
@@ -401,7 +401,7 @@
 {
 	zvol_extent_t *ze;
 
-	while (ze = list_head(&zv->zv_extents)) {
+	while ((ze = list_head(&zv->zv_extents))) {
 		list_remove(&zv->zv_extents, ze);
 		kmem_free(ze, sizeof (zvol_extent_t));
 	}
